## BraseroSessionCfg BraseroSessionCfg — Configure automatically a BraseroBurnSession object |

## Functions

#define | BRASERO_SESSION_IS_VALID()
BraseroSessionCfg * | brasero_session_cfg_new ()
BraseroSessionError | brasero_session_cfg_get_error ()
void | brasero_session_cfg_add_flags ()
void | brasero_session_cfg_remove_flags ()
gboolean | brasero_session_cfg_is_supported ()
gboolean | brasero_session_cfg_is_compulsory ()
gboolean | brasero_session_cfg_has_default_output_path ()
void | brasero_session_cfg_enable ()
void | brasero_session_cfg_disable ()

## Signals

void | is-valid | Action
gboolean | wrong-extension | Action

## Types and Values

struct | BraseroSessionCfg
enum | BraseroSessionError

## Object Hierarchy

        GObject
        ╰── BraseroBurnSession
            ╰── BraseroSessionSpan
                ╰── BraseroSessionCfg

## Includes

    #include <brasero-session-cfg.h>

## Description

This object configures automatically a session reacting to any change made to the various parameters.

## Functions

### BRASERO_SESSION_IS_VALID()

    #define             BRASERO_SESSION_IS_VALID(result_MACRO)

### brasero_session_cfg_new ()

    BraseroSessionCfg *
    brasero_session_cfg_new (void);

Creates a new BraseroSessionCfg object.

#### Returns

a BraseroSessionCfg object.

### brasero_session_cfg_get_error ()

    BraseroSessionError
    brasero_session_cfg_get_error (BraseroSessionCfg *cfg);

This function returns the current status and if autoconfiguration is/was successful.

#### Parameters

session | a BraseroSessionCfg |

#### Returns

a BraseroSessionError.

### brasero_session_cfg_add_flags ()

    void
    brasero_session_cfg_add_flags (BraseroSessionCfg *cfg,
                                   BraseroBurnFlag flags);

Adds all flags from `flags` that are supported.

#### Parameters

session | a BraseroSessionCfg |
flags | a BraseroBurnFlag |

### brasero_session_cfg_remove_flags ()

    void
    brasero_session_cfg_remove_flags (BraseroSessionCfg *cfg,
                                      BraseroBurnFlag flags);

Removes all flags that are not compulsory.

#### Parameters

session | a BraseroSessionCfg |
flags | a BraseroBurnFlag |

### brasero_session_cfg_is_supported ()

    gboolean
    brasero_session_cfg_is_supported (BraseroSessionCfg *cfg,
                                      BraseroBurnFlag flag);

Checks whether a particular flag is supported.

#### Parameters

session | a BraseroSessionCfg |
flag | a BraseroBurnFlag |

#### Returns

a gboolean. TRUE if it is supported; FALSE otherwise.

### brasero_session_cfg_is_compulsory ()

    gboolean
    brasero_session_cfg_is_compulsory (BraseroSessionCfg *cfg,
                                       BraseroBurnFlag flag);

Checks whether a particular flag is compulsory.

#### Parameters

session | a BraseroSessionCfg |
flag | a BraseroBurnFlag |

#### Returns

a gboolean. TRUE if it is compulsory; FALSE otherwise.

### brasero_session_cfg_has_default_output_path ()

    gboolean
    brasero_session_cfg_has_default_output_path
                                   (BraseroSessionCfg *cfg);

This function returns whether the path returned by `brasero_burn_session_get_output()` is an automatically created one.

#### Parameters

session | a BraseroSessionCfg |

#### Returns

a gboolean. TRUE if the path(s) creation is handled by `session` , FALSE if it was set.

### brasero_session_cfg_enable ()

    void
    brasero_session_cfg_enable (BraseroSessionCfg *cfg);

This function (re)-enables autoconfiguration

#### Parameters

session | a BraseroSessionCfg |

### brasero_session_cfg_disable ()

    void
    brasero_session_cfg_disable (BraseroSessionCfg *cfg);

This function disables autoconfiguration

#### Parameters

session | a BraseroSessionCfg |

## Types and Values

### struct BraseroSessionCfg

    struct BraseroSessionCfg;

### enum BraseroSessionError

#### Members

BRASERO_SESSION_VALID |  |
BRASERO_SESSION_NO_CD_TEXT |  |
BRASERO_SESSION_NOT_READY |  |
BRASERO_SESSION_EMPTY |  |
BRASERO_SESSION_NO_INPUT_IMAGE |  |
BRASERO_SESSION_UNKNOWN_IMAGE |  |
BRASERO_SESSION_NO_INPUT_MEDIUM |  |
BRASERO_SESSION_NO_OUTPUT |  |
BRASERO_SESSION_INSUFFICIENT_SPACE |  |
BRASERO_SESSION_OVERBURN_NECESSARY |  |
BRASERO_SESSION_NOT_SUPPORTED |  |
BRASERO_SESSION_DISC_PROTECTED |  |

## Signal Details

### The `“is-valid”` signal

    void
    user_function (BraseroSessionCfg *braserosessioncfg,
                   gpointer           user_data)

Flags: Action

### The `“wrong-extension”` signal

    gboolean
    user_function (BraseroSessionCfg *braserosessioncfg,
                   gpointer           user_data)

Flags: Action

## See Also

BraseroBurn, BraseroBurnSession